#!/bin/sh
#
# $FreeBSD: ports/security/clamav/files/clamav-clamd.sh.in,v 1.1 2005/05/13 08:16:40 jylefort Exp $
#

# PROVIDE: clamd
# REQUIRE: LOGIN
# BEFORE: mail
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable clamd:
#
#clamav_clamd_enable="YES"
#
# See clamd(8) for flags
#

. /etc/rc.subr

name=clamav_clamd
rcvar=`set_rcvar`

command=/usr/local/sbin/clamd
pidfile=/var/run/clamav/clamd.pid
required_dirs=/var/db/clamav
required_files=/usr/local/etc/clamd.conf

# read settings, set default values
load_rc_config "$name"
: ${clamav_clamd_enable="NO"}
: ${clamav_clamd_flags=""}
: ${clamav_clamd_socket="/var/run/clamav/clamd"}

run_rc_command "$1"
