#!/bin/sh
#
# $FreeBSD: ports/security/clamav/files/clamav-freshclam.sh.in,v 1.1 2005/05/13 08:16:40 jylefort Exp $
#

# PROVIDE: freshclam
# REQUIRE: LOGIN clamd
# BEFORE: mail
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable the freshclam daemon:
#
#clamav_freshclam_enable="YES"
#
# See freshclam(1) for flags
#

. /etc/rc.subr

name=clamav_freshclam
rcvar=`set_rcvar`

command=/usr/local/bin/freshclam
pidfile=/var/run/clamav/freshclam.pid
command_args="--daemon"
required_dirs=/var/db/clamav
required_files=/usr/local/etc/freshclam.conf

# read settings, set default values
load_rc_config "$name"
: ${clamav_freshclam_enable="NO"}
: ${clamav_freshclam_flags=""}

run_rc_command "$1"
